%define oname   mustache

Name:       ruby-%{oname}
Version:    1.0.2
Release:    %mkrel 1
Summary:    A framework-agnostic way to render logic-free views
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/defunkt/mustache
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to render
logic-free views. As ctemplates says, "It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language. Think of Mustache as a replacement for your views.
Instead of views consisting of ERB or HAML with random helpers and
arbitrary logic, your views are broken into two parts: a Ruby class
and an HTML template.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/%{oname}
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}


%changelog
* Tue Jan 05 2016 pterjan <pterjan> 1.0.2-1.mga6
+ Revision: 919732
- Update to 1.0.2

* Wed Oct 15 2014 umeabot <umeabot> 0.99.4-10.mga5
+ Revision: 740253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.4-9.mga5
+ Revision: 688876
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.99.4-8.mga4
+ Revision: 562024
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.99.4-7.mga4
+ Revision: 561433
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.99.4-6.mga4
+ Revision: 535647
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.99.4-5.mga4
+ Revision: 482232
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.99.4-4.mga4
+ Revision: 480036
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.99.4-3.mga3
+ Revision: 396184
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.99.4-2.mga3
+ Revision: 381125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.99.4-1.mga3
+ Revision: 312066
- update file list
- imported package ruby-mustache

